Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.amp.amf.adata.impl
Class DataPackageImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.MinimalEObjectImpl
                  org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
                      org.eclipse.emf.ecore.impl.EModelElementImpl
                          org.eclipse.emf.ecore.impl.ENamedElementImpl
                              org.eclipse.emf.ecore.impl.EPackageImpl
                                  org.eclipse.amp.amf.adata.impl.DataPackageImpl

All Implemented Interfaces:
  DataPackage, org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EPackage, org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder, org.eclipse.emf.ecore.InternalEObject, org.eclipse.emf.ecore.util.BasicExtendedMetaData.EPackageExtendedMetaData.Holder

    public class DataPackageImpl

extends org.eclipse.emf.ecore.impl.EPackageImpl
implements DataPackage

An implementation of the model Package.

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.EPackageImpl
`org.eclipse.emf.ecore.impl.EPackageImpl.EBasicWhiteList`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container.Dynamic`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl
`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList`

Nested classes/interfaces inherited from interface org.eclipse.amp.amf.adata.DataPackage
`DataPackage.Literals`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage
`org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary

Fields inherited from class org.eclipse.emf.ecore.impl.EPackageImpl
`eClassifiers, ecoreFactory, ecorePackage, eFactoryInstance, eNameToEClassifierMap, ePackageExtendedMetaData, eSubpackages, IS_ABSTRACT, IS_CHANGEABLE, IS_COMPOSITE, IS_DERIVED, IS_GENERATED_INSTANCE_CLASS, IS_ID, IS_INTERFACE, IS_ORDERED, IS_RESOLVABLE, IS_RESOLVE_PROXIES, IS_SERIALIZABLE, IS_TRANSIENT, IS_UNIQUE, IS_UNSETTABLE, IS_VOLATILE, NS_PREFIX_EDEFAULT, NS_URI_EDEFAULT, nsPrefix, nsURI`

Fields inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl
`name, NAME_EDEFAULT`

Fields inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eAnnotations, eFlags, EFROZEN, ELAST_EMODEL_ELEMENT_FLAG`

Fields inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`eContainer`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.amp.amf.adata.DataPackage
`CATALOG, CATALOG__RUNS, CATALOG_FEATURE_COUNT, DATA_POINT, DATA_POINT__MEASUREMENT, DATA_POINT__PERIOD, DATA_POINT__VALUE, DATA_POINT_FEATURE_COUNT, eINSTANCE, eNAME, eNS_PREFIX, eNS_URI, MEASUREMENT, MEASUREMENT__ENTRIES, MEASUREMENT__NAME, MEASUREMENT__RUN, MEASUREMENT__TYPE, MEASUREMENT__VALUE, MEASUREMENT_FEATURE_COUNT, PARAMETER, PARAMETER__ATTRIBUTE, PARAMETER__NAME, PARAMETER__VALUE, PARAMETER_FEATURE_COUNT, PARAMETER_SET, PARAMETER_SET__MEMBERS, PARAMETER_SET_FEATURE_COUNT, RUN, RUN__FINISHED, RUN__MEASUREMENTS, RUN__MODEL, RUN__NAME, RUN__PARAMETER_SETS, RUN__STARTED, RUN_FEATURE_COUNT, SCALE_TYPE`

Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder
`NIL`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Method Summary
`void` | `createPackageContents()` Creates the meta-model objects for the package.
`org.eclipse.emf.ecore.EReference` | `getCatalog_Runs()`
`org.eclipse.emf.ecore.EClass` | `getCatalog()`
`DataFactory` | `getDataFactory()`
`org.eclipse.emf.ecore.EReference` | `getDataPoint_Measurement()`
`org.eclipse.emf.ecore.EAttribute` | `getDataPoint_Period()`
`org.eclipse.emf.ecore.EAttribute` | `getDataPoint_Value()`
`org.eclipse.emf.ecore.EClass` | `getDataPoint()`
`org.eclipse.emf.ecore.EReference` | `getMeasurement_Entries()`
`org.eclipse.emf.ecore.EAttribute` | `getMeasurement_Name()`
`org.eclipse.emf.ecore.EReference` | `getMeasurement_Run()`
`org.eclipse.emf.ecore.EAttribute` | `getMeasurement_Type()`
`org.eclipse.emf.ecore.EReference` | `getMeasurement_Value()`
`org.eclipse.emf.ecore.EClass` | `getMeasurement()`
`org.eclipse.emf.ecore.EReference` | `getParameter_Attribute()`
`org.eclipse.emf.ecore.EAttribute` | `getParameter_Name()`
`org.eclipse.emf.ecore.EAttribute` | `getParameter_Value()`
`org.eclipse.emf.ecore.EClass` | `getParameter()`
`org.eclipse.emf.ecore.EReference` | `getParameterSet_Members()`
`org.eclipse.emf.ecore.EClass` | `getParameterSet()`
`org.eclipse.emf.ecore.EAttribute` | `getRun_Finished()`
`org.eclipse.emf.ecore.EReference` | `getRun_Measurements()`
`org.eclipse.emf.ecore.EReference` | `getRun_Model()`
`org.eclipse.emf.ecore.EAttribute` | `getRun_Name()`
`org.eclipse.emf.ecore.EReference` | `getRun_ParameterSets()`
`org.eclipse.emf.ecore.EAttribute` | `getRun_Started()`
`org.eclipse.emf.ecore.EClass` | `getRun()`
`org.eclipse.emf.ecore.EEnum` | `getScaleType()`
`static DataPackage` | `init()` Creates, registers, and initializes the Package for this model, and for any others upon which it depends.
`void` | `initializePackageContents()` Complete the initialization of the package and its meta-model.

Methods inherited from class org.eclipse.emf.ecore.impl.EPackageImpl
`addAnnotation, addAnnotation, addAnnotation, addAnnotation, addEEnumLiteral, addEException, addEException, addEOperation, addEOperation, addEOperation, addEParameter, addEParameter, addEParameter, addEParameter, addEParameter, addETypeParameter, addETypeParameter, basicGetESuperPackage, basicSetEFactoryInstance, createEAttribute, createEClass, createEDataType, createEEnum, createEGenericType, createEGenericType, createEGenericType, createEOperation, createEReference, createResource, eBasicRemoveFromContainerFeature, eGet, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eObjectForURIFragmentSegment, eSet, eSetProxyURI, eStaticClass, eUnset, fixEClassifiers, fixEEnumLiterals, fixEOperations, fixEStructuralFeatures, fixInstanceClass, freeze, getEClassifier, getEClassifierGen, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getExtendedMetaData, getNsPrefix, getNsURI, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEClass, initEClass, initEClass, initEDataType, initEDataType, initEDataType, initEEnum, initEOperation, initEOperation, initEOperation, initEOperation, initEReference, initEReference, initEReference, initEReference, initEReference, initEReference, initEReference, initializeFromLoadedEPackage, setEFactoryInstance, setExtendedMetaData, setGeneratedClassName, setInstanceTypeName, setNamespaceURI, setNsPrefix, setNsURI, toString`

Methods inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl
`eContents, eCrossReferences, getName, getNameGen, setName`

Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eSetDirectResource, eURIFragmentSegment, freeze, getEAnnotation, getEAnnotations, isFrozen, setFrozen`

Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`eBasicSetContainer, eInternalContainer`

Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl
`dynamicGet, dynamicSet, dynamicUnset, eAdapters, eBasicAdapterArray, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetContainer, eBasicSetContainerFeatureID, eBasicSetSettings, eBasicSettings, eClass, eContainerFeatureID, eDeliver, eDirectResource, eDynamicClass, eHasSettings, eIsProxy, eProperties, eProxyURI, eSetClass, eSetDeliver, eSettings`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EPackage
`getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Method Detail

### init

    public static DataPackage init()

  Creates, registers, and initializes the Package for this model, and for any others upon which it depends.

  This method is used to initialize `DataPackage.eINSTANCE` when that field is accessed. Clients should not invoke it directly. Instead, they should simply access that field to obtain the package.

  See Also:
    `DataPackage.eNS_URI`, `createPackageContents()`, `initializePackageContents()`

### getRun

    public org.eclipse.emf.ecore.EClass getRun()

  Specified by:
    `getRun` in interface `DataPackage`
  Returns:
    the meta object for class 'Run'.
  See Also:
    `Run`

### getRun_Model

    public org.eclipse.emf.ecore.EReference getRun_Model()

  Specified by:
    `getRun_Model` in interface `DataPackage`
  Returns:
    the meta object for the reference 'Model'.
  See Also:
    `Run.getModel()`, `DataPackage.getRun()`

### getRun_Started

    public org.eclipse.emf.ecore.EAttribute getRun_Started()

  Specified by:
    `getRun_Started` in interface `DataPackage`
  Returns:
    the meta object for the attribute 'Started'.
  See Also:
    `Run.getStarted()`, `DataPackage.getRun()`

### getRun_Finished

    public org.eclipse.emf.ecore.EAttribute getRun_Finished()

  Specified by:
    `getRun_Finished` in interface `DataPackage`
  Returns:
    the meta object for the attribute 'Finished'.
  See Also:
    `Run.getFinished()`, `DataPackage.getRun()`

### getRun_Name

    public org.eclipse.emf.ecore.EAttribute getRun_Name()

  Specified by:
    `getRun_Name` in interface `DataPackage`
  Returns:
    the meta object for the attribute 'Name'.
  See Also:
    `Run.getName()`, `DataPackage.getRun()`

### getRun_ParameterSets

    public org.eclipse.emf.ecore.EReference getRun_ParameterSets()

  Specified by:
    `getRun_ParameterSets` in interface `DataPackage`
  Returns:
    the meta object for the containment reference list 'Parameter Sets'.
  See Also:
    `Run.getParameterSets()`, `DataPackage.getRun()`

### getRun_Measurements

    public org.eclipse.emf.ecore.EReference getRun_Measurements()

  Specified by:
    `getRun_Measurements` in interface `DataPackage`
  Returns:
    the meta object for the containment reference list 'Measurements'.
  See Also:
    `Run.getMeasurements()`, `DataPackage.getRun()`

### getParameter

    public org.eclipse.emf.ecore.EClass getParameter()

  Specified by:
    `getParameter` in interface `DataPackage`
  Returns:
    the meta object for class 'Parameter'.
  See Also:
    `Parameter`

### getParameter_Attribute

    public org.eclipse.emf.ecore.EReference getParameter_Attribute()

  Specified by:
    `getParameter_Attribute` in interface `DataPackage`
  Returns:
    the meta object for the reference 'Attribute'.
  See Also:
    `Parameter.getAttribute()`, `DataPackage.getParameter()`

### getParameter_Name

    public org.eclipse.emf.ecore.EAttribute getParameter_Name()

  Specified by:
    `getParameter_Name` in interface `DataPackage`
  Returns:
    the meta object for the attribute 'Name'.
  See Also:
    `Parameter.getName()`, `DataPackage.getParameter()`

### getParameter_Value

    public org.eclipse.emf.ecore.EAttribute getParameter_Value()

  Specified by:
    `getParameter_Value` in interface `DataPackage`
  Returns:
    the meta object for the attribute 'Value'.
  See Also:
    `Parameter.getValue()`, `DataPackage.getParameter()`

### getDataPoint

    public org.eclipse.emf.ecore.EClass getDataPoint()

  Specified by:
    `getDataPoint` in interface `DataPackage`
  Returns:
    the meta object for class 'Point'.
  See Also:
    `DataPoint`

### getDataPoint_Period

    public org.eclipse.emf.ecore.EAttribute getDataPoint_Period()

  Specified by:
    `getDataPoint_Period` in interface `DataPackage`
  Returns:
    the meta object for the attribute 'Period'.
  See Also:
    `DataPoint.getPeriod()`, `DataPackage.getDataPoint()`

### getDataPoint_Value

    public org.eclipse.emf.ecore.EAttribute getDataPoint_Value()

  Specified by:
    `getDataPoint_Value` in interface `DataPackage`
  Returns:
    the meta object for the attribute 'Value'.
  See Also:
    `DataPoint.getValue()`, `DataPackage.getDataPoint()`

### getDataPoint_Measurement

    public org.eclipse.emf.ecore.EReference getDataPoint_Measurement()

  Specified by:
    `getDataPoint_Measurement` in interface `DataPackage`
  Returns:
    the meta object for the container reference 'Measurement'.
  See Also:
    `DataPoint.getMeasurement()`, `DataPackage.getDataPoint()`

### getCatalog

    public org.eclipse.emf.ecore.EClass getCatalog()

  Specified by:
    `getCatalog` in interface `DataPackage`
  Returns:
    the meta object for class 'Catalog'.
  See Also:
    `Catalog`

### getCatalog_Runs

    public org.eclipse.emf.ecore.EReference getCatalog_Runs()

  Specified by:
    `getCatalog_Runs` in interface `DataPackage`
  Returns:
    the meta object for the containment reference list 'Runs'.
  See Also:
    `Catalog.getRuns()`, `DataPackage.getCatalog()`

### getMeasurement

    public org.eclipse.emf.ecore.EClass getMeasurement()

  Specified by:
    `getMeasurement` in interface `DataPackage`
  Returns:
    the meta object for class 'Measurement'.
  See Also:
    `Measurement`

### getMeasurement_Type

    public org.eclipse.emf.ecore.EAttribute getMeasurement_Type()

  Specified by:
    `getMeasurement_Type` in interface `DataPackage`
  Returns:
    the meta object for the attribute 'Type'.
  See Also:
    `Measurement.getType()`, `DataPackage.getMeasurement()`

### getMeasurement_Value

    public org.eclipse.emf.ecore.EReference getMeasurement_Value()

  Specified by:
    `getMeasurement_Value` in interface `DataPackage`
  Returns:
    the meta object for the reference 'Value'.
  See Also:
    `Measurement.getValue()`, `DataPackage.getMeasurement()`

### getMeasurement_Name

    public org.eclipse.emf.ecore.EAttribute getMeasurement_Name()

  Specified by:
    `getMeasurement_Name` in interface `DataPackage`
  Returns:
    the meta object for the attribute 'Name'.
  See Also:
    `Measurement.getName()`, `DataPackage.getMeasurement()`

### getMeasurement_Entries

    public org.eclipse.emf.ecore.EReference getMeasurement_Entries()

  Specified by:
    `getMeasurement_Entries` in interface `DataPackage`
  Returns:
    the meta object for the containment reference list 'Entries'.
  See Also:
    `Measurement.getEntries()`, `DataPackage.getMeasurement()`

### getMeasurement_Run

    public org.eclipse.emf.ecore.EReference getMeasurement_Run()

  Specified by:
    `getMeasurement_Run` in interface `DataPackage`
  Returns:
    the meta object for the container reference 'Run'.
  See Also:
    `Measurement.getRun()`, `DataPackage.getMeasurement()`

### getParameterSet

    public org.eclipse.emf.ecore.EClass getParameterSet()

  Specified by:
    `getParameterSet` in interface `DataPackage`
  Returns:
    the meta object for class 'Parameter Set'.
  See Also:
    `ParameterSet`

### getParameterSet_Members

    public org.eclipse.emf.ecore.EReference getParameterSet_Members()

  Specified by:
    `getParameterSet_Members` in interface `DataPackage`
  Returns:
    the meta object for the containment reference list 'Members'.
  See Also:
    `ParameterSet.getMembers()`, `DataPackage.getParameterSet()`

### getScaleType

    public org.eclipse.emf.ecore.EEnum getScaleType()

  Specified by:
    `getScaleType` in interface `DataPackage`
  Returns:
    the meta object for enum 'Scale Type'.
  See Also:
    `ScaleType`

### getDataFactory

    public DataFactory getDataFactory()

  Specified by:
    `getDataFactory` in interface `DataPackage`
  Returns:
    the factory that creates the instances of the model.

### createPackageContents

    public void createPackageContents()

  Creates the meta-model objects for the package. This method is guarded to have no affect on any invocation but its first.

### initializePackageContents

    public void initializePackageContents()

  Complete the initialization of the package and its meta-model. This method is guarded to have no affect on any invocation but its first.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD